From: "Ulrich Müller" <ulm@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/proj/emacs:master commit in: eclass/
Date: Sun, 29 Dec 2024 09:23:46 +0000 (UTC) [thread overview]
Message-ID: <1735464208.9023b0d68d8c7ab365852cf3a533a41219516987.ulm@gentoo> (raw)
commit: 9023b0d68d8c7ab365852cf3a533a41219516987
Author: Ulrich Müller <ulm <AT> gentoo <DOT> org>
AuthorDate: Thu Dec 26 12:03:23 2024 +0000
Commit: Ulrich Müller <ulm <AT> gentoo <DOT> org>
CommitDate: Sun Dec 29 09:23:28 2024 +0000
URL: https://gitweb.gentoo.org/repo/proj/emacs.git/commit/?id=9023b0d6
elisp.eclass: Call makeinfo with --no-split option
By default, makeinfo will split output files larger than 300 kB into
smaller subfiles. Although this doesn't currently happen for any elisp
package, it might happen in future and could break some assumptions.
This is also consistent with GNU Emacs itself which installs unsplit
Info files for its documentation.
Signed-off-by: Ulrich Müller <ulm <AT> gentoo.org>
eclass/elisp.eclass | 2 +-
1 file changed, 1 insertion(+), 1 deletion(-)
diff --git a/eclass/elisp.eclass b/eclass/elisp.eclass
index 1fa8aab..e2f629e 100644
--- a/eclass/elisp.eclass
+++ b/eclass/elisp.eclass
@@ -139,7 +139,7 @@ elisp_src_configure() { :; }
elisp_src_compile() {
elisp-compile *.el
if [[ -n ${ELISP_TEXINFO} ]]; then
- makeinfo ${ELISP_TEXINFO} || die
+ makeinfo --no-split ${ELISP_TEXINFO} || die
fi
}
next reply other threads:[~2024-12-29 9:23 UTC|newest]
Thread overview: 34+ messages / expand[flat|nested] mbox.gz Atom feed top
2024-12-29 9:23 Ulrich Müller [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-12-16 18:46 [gentoo-commits] repo/proj/emacs:master commit in: eclass/ Ulrich Müller
2024-09-02 15:31 Ulrich Müller
2024-09-02 15:18 Ulrich Müller
2024-09-02 15:18 Ulrich Müller
2023-10-22 10:01 Ulrich Müller
2023-10-20 12:18 Ulrich Müller
2022-10-20 8:05 Ulrich Müller
2022-10-20 8:05 Ulrich Müller
2022-04-03 18:29 Ulrich Müller
2022-04-03 18:02 Ulrich Müller
2022-03-24 6:44 Ulrich Müller
2021-07-28 7:53 Ulrich Müller
2021-04-20 18:13 Ulrich Müller
2021-04-13 7:43 Ulrich Müller
2021-04-13 7:27 Ulrich Müller
2021-04-13 7:15 Ulrich Müller
2021-04-13 7:15 Ulrich Müller
2021-04-13 7:12 Ulrich Müller
2021-04-13 7:12 Ulrich Müller
2021-04-12 19:09 Ulrich Müller
2021-04-12 19:09 Ulrich Müller
2021-03-22 9:00 Ulrich Müller
2020-09-25 17:58 Ulrich Müller
2020-08-04 14:37 Ulrich Müller
2020-02-22 11:42 Ulrich Müller
2019-12-22 12:34 Ulrich Müller
2019-12-21 18:54 Ulrich Müller
2019-12-21 18:30 Ulrich Müller
2019-09-09 8:25 Ulrich Müller
2019-08-17 22:08 Ulrich Müller
2018-06-01 18:07 Ulrich Müller
2018-06-01 18:07 Ulrich Müller
2018-02-22 13:25 Ulrich Müller
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1735464208.9023b0d68d8c7ab365852cf3a533a41219516987.ulm@gentoo \
--to=ulm@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox